resource vultr_firewall_rule web_inbound {
  for_each = toset([for port in [80, 443, 6443] : tostring(port) ])
  firewall_group_id = vultr_kubernetes.athens.firewall_group_id
  protocol = "tcp"
  ip_type = "v4"
  subnet = "0.0.0.0"
  subnet_size = 0
  port = each.value
}

resource vultr_firewall_rule game-server-inbound {
  for_each = var.game_servers.configs
  firewall_group_id = vultr_kubernetes.athens.firewall_group_id
  protocol = "tcp"
  ip_type = "v4"
  subnet = "0.0.0.0"
  subnet_size = 0
  port = each.value.port.expose
}


resource vultr_firewall_rule admin-service-inbound {
  for_each = var.admin_services.configs
  firewall_group_id = vultr_kubernetes.athens.firewall_group_id
  protocol = "tcp"
  ip_type = "v4"
  subnet = "0.0.0.0"
  subnet_size = 0
  notes = each.value.port.notes
  port = each.value.port.expose
}
